<script>
import GuestLayout from "../../Layouts/GuestLayout.vue";
import InputError from "../../Components/InputError.vue";
import InputLabel from "../../Components/InputLabel.vue";
import PrimaryButton from "../../Components/PrimaryButton.vue";
import TextInput from "../../Components/TextInput.vue";
import { Head, Link, useForm } from '@inertiajs/vue3';

export default {
  components: {InputError, InputLabel, PrimaryButton, TextInput, Head, Link},

  layout: GuestLayout,

  props: {},

  setup(props) {
    const form = useForm({
      name: '',
      email: '',
      password: '',
      password_confirmation: '',
    });

    const submit = () => {
      form.post('', {
        onFinish: () => form.reset('password', 'password_confirmation'),
      });
    };

    return {
      form,
      submit,
    }
  }
}
</script>

<template>
  <Head title="Регистрация" />

  <form @submit.prevent="submit">
      <div>
          <InputLabel for="name" value="ФИО" />

          <TextInput
              id="name"
              type="text"
              class="mt-1 block w-full"
              v-model="form.name"
              required
              autofocus
              placeholder="Иванов Иван Иванович"
          />

          <InputError class="mt-2" :message="form.errors.name" />
      </div>

      <div class="mt-4">
          <InputLabel for="email" value="Почта" />

          <TextInput
              id="email"
              type="email"
              class="mt-1 block w-full"
              v-model="form.email"
              required
              placeholder="example@gmail.com"
          />

          <InputError class="mt-2" :message="form.errors.email" />
      </div>

      <div class="mt-4">
          <InputLabel for="password" value="Пароль" />

          <TextInput
              id="password"
              type="password"
              class="mt-1 block w-full"
              v-model="form.password"
              required
              placeholder="*********"
          />

          <InputError class="mt-2" :message="form.errors.password" />
      </div>

      <div class="mt-4">
          <InputLabel for="password_confirmation" value="Подтвердите пароль" />

          <TextInput
              id="password_confirmation"
              type="password"
              class="mt-1 block w-full"
              v-model="form.password_confirmation"
              required
              placeholder="*********"
          />

          <InputError class="mt-2" :message="form.errors.password_confirmation" />
      </div>

      <div class="flex items-center justify-end mt-4">
          <Link
              href="/login"
              class="underline text-sm text-gray-600 hover:text-gray-900 rounded-md focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500"
          >
              Уже зарегистрированы?
          </Link>

          <PrimaryButton class="ms-4" :class="{ 'opacity-25': form.processing }" :disabled="form.processing">
              Регистрация
          </PrimaryButton>
      </div>
  </form>
</template>
